InfraPub 为您找到相关结果 68

CVE-2017

2017 年 5 月 30 日, 国外安全研究人员发现 Linux 环节下,可以通过 sudo 实现本地提权编号为 CVE-2017-1000367,该几乎影响了所有 Linux 系统。详情如下: 编号: CVE-2017-1000367 名称: Sudo 本地提权 官方评级: 高危 描述: 当确定 tty 时,Sudo 没有正确解析/ proc / [pid] / stat 的内容,本地攻击者可能会使用此方法来覆盖文件系统上的任何文件,从而绕过预期权限或获取 root shell。 利用条件和方式: 本地利用 影响范围: Sudo 1.8.6p7 到 1.8.20 Red Hat Enterprise Linux 6 (sudo) Red Hat...阅读全文

博文 2021-01-28 17:50:31 1000367:Sudo 本地提权漏洞

Google 开源漏洞扫描系统 Tsunami

谷歌已宣布将其内部使用的 Tsunami 扫描程序进行开源,以帮助其他组织保护用户数据。Tsunami 将不会成为谷歌的正式品牌产品,而是由开源社区以类似于管理 Kubernetes(另一种谷歌内部工具)的方式来维护。 “我们已经向开源社区发布了 Tsunami 安全扫描引擎。我们希望该引擎可以帮助其他组织保护其用户数据。我们还希望促进协作,并鼓励安全界在 Tsunami 之上创建和共享新的探测器。” 与其他扫描程序不同的是,Tsunami 本就是秉承着以大型企业为使用对象的初衷而进行构建的,旨在查找包含数十万个设备的大型网络中的。谷歌方面表示,其设计的扫描程序具有极强的适应性,Tsunami 能够扫描多种设备类型,而无需为每种设备运行不同的扫描仪。 Tsunami 在扫描...阅读全文

博文 2020-07-16 10:25:50 debian.cn

Intel 再曝“幽灵”类漏洞:二四六代酷睿受影响

在英特尔处理器的“熔断”(Meltdown)和“幽灵”(Spectre)风波还未完全平息的时候,研究人员又在英特尔的处理器上发现了新的,此前的“熔断”与“幽灵”补丁可能无法完全应对这种攻击手段。 这几名研究者来自美国的几所著名大学。他们发现了一种新的攻击方式,并把这一称为“BranchScope”。该与“熔断”和“幽灵”不完全相同,但与后者相似的地方在于,它们都是通过处理器中的分支预测(Branch Prediction)部分发起攻击的。它们的危害也相似:都可以直接访问用户的敏感信息。 研究人员在i7-2600、i7-4800MQ和i5-6200U三枚不同年代的Intel处理器上成功验证了BranchScope。这很有可能说明,Intel酷睿系列的二代Sandy...阅读全文

博文 2018-03-30 08:48:47 debian.cn

故意泼脏水?AMD官方回应Zen安全漏洞

来自以色列的安全机构CTS-Labs突然曝出猛料,声称AMD Zen架构处理器存在四组12个高位安全,涉及Ryzen、EPYC全线产品。AMD第一时间对此发表了一份官方声明。 “我们刚刚收到一家名为CTS-Labs的公司的报告,声称我们的特定处理器产品可能存在安全。我们正在积极进行调查和分析。这家公司AMD从未听闻,而且不同寻常的是,这家安全机构直接将自己的发现公布给了媒体,却没有给AMD合理的时间调查和解决问题。安全是AMD的首要职责,我们持续努力确保我们客户的安全,应对新的安全威胁。如有后续进展我们会第一时间公告。” 可以看出,由于事发突然,特别是这些发现并没有按照行业惯例提前通知并给予90天的静默期,AMD被打了个措手不及,目前还无法完全证实这些的真伪。 即便是真的存...阅读全文

Saltstack极高危漏洞: 可获取master权限

这两天开源配置管理工具 saltstack 爆出了CVSS得分为10分的。如果你对CVSS的评分没有概念,那么前几年震惊互联网的 openssl心脏滴血,CVSS base评分是5.0,由此可知这次爆出来的 saltsatck 是多么严重。 信息: 该是 F-secure 研究人员在3月份发现的,目前该已经在最新版本中修复。本次极高危,是由两个不同的引起的,一个是身份验证绕过 CVE-2020-11651,一个是目录遍历没有过滤掉不受信任的输入 CVE-2020-11652,从而导致攻击者可以不受限制的访问 salt-master 的整个文件系统。 攻击者获取salt-master的权限后,便可以控制整个被salt-master管理的数据中心的各主机...阅读全文

博文 2020-05-05 18:32:44 debian.cn

Systemd 曝出三个漏洞 大部分 Linux 发行版易受攻击

Linux 系统与服务管理工具 Systemd 被曝存在 3 大,影响几乎所有 Linux 发行版。Systemd 是 Linux 系统的基本构建块,它提供了对系统和服务的管理功能,以 PID 1 运行并启动系统的其它部分。目前大部分 Linux 发行版都以 Systemd 取代了原有的 System V。 安全公司 Qualys 近日发布报告称其发现 Systemd 中存在 3 个安全,并且这些已经存在 3 到 5 年时间。 3 个已经收录到 CVE,分别是内存损坏 CVE-2018-16864 与 CVE-2018-16865、信息泄露 CVE-2018-16866。其中,CVE-2018-16864 于 2013 年 4 月引入(systemd v203),并...阅读全文

博文 2019-01-15 10:56:33 debian.cn

PHP 7 的 PHP

据 ZDNet 的报道,PHP 7.x 中最近修复的一个远程代码执行正被恶意利用,并会导致攻击者控制服务器。编号为 CVE-2019-11043 的允许攻击者通过向目标服务器发送特制的 URL,即可在存在的服务器上执行命令。利用的 PoC 代码也已在 GitHub 上发布。 一旦确定了易受攻击的目标,攻击者便可以通过在 URL 中附加 ‘?a=’ 以发送特制请求到易受攻击的 Web 服务器。 仅 NGINX 服务器受影响 幸运的是,并非所有的 PHP Web 服务器都受到影响。据介绍,仅启用了 PHP-FPM 的 NGINX 服务器容易受到攻击。PHP-FPM 代表 FastCGI Process Manager,是具有某些附加功能的 PHP FastCGI 替代实现。它不...阅读全文

博文 2019-10-29 09:23:04 FPM 存在远程代码执行漏洞

[图]Linux内核发现3个提权漏洞 已存在15年之久

这些(被追踪为 CVE-2021-27363、CVE-2021-27364 和 CVE-2021-27365)存在于内核的 iSCSI 模块中。虽然在默认情况下该模块是没有被加载的,但是 Linux 内核对模块按需加载的支持意味着它可以很容易地被调用到行动中。安全专家在 Red Hat 所有已测试版本和其他发行版本中均存在这些。在 GRIMM 博客上,安全研究员 Adam Nichols 表示:“我们在 Linux mainline 内核的一个被遗忘的角落里发现了 3 个BUG,这些 BUG 已经有 15 年的历史了。与我们发现的大多数积满灰尘的东西不同,这些 BUG 依然存在影响,其中一个原来可以作为本地权限升级(LPE)在多个 Linux 环境中使用”。这些存在于无法远程访...阅读全文

博文 2021-03-15 07:43:35 cnBeta.COM

Debian 9.7 发布:安全更新版本

Debian 使用的包管理器 apt/apt-get 曝出了一个远程代码执行,该允许网络中间人在正在安装任何包的机器上以 root 权限执行任意代码。最新版的 apt 已经修复了该,尚未安装最新更新或正在安装最新更新的用户可以通过暂时禁用 HTTP 重定向来防止中间人攻击。 Debian 紧急释出了 9.7 版本,修复该。将现有版本升级之此版本可以通过包管理系统指向 Debian 的 HTTP 镜像来实现。建议遵循 DSA-4371 中的说明。 镜像列表:https://www.debian.org/mirror/list Bug 修复 base-filesUpdate for the point release 安全更新 DSA-4371apt 完整的软件包更新列表...阅读全文

博文 2019-01-24 09:49:36 debian.cn

Ubuntu发布重要更新将修复九个漏洞

Canonical发布了针对所有支持的Ubuntu操作系统的新的Linux内核安全更新,解决了由各个研究人员发现的总共九个。 新修补的Linux内核影响 Ubuntu 17.10(Artful Aardvark),Ubuntu 17.04(Zesty Zapus),Ubuntu 16.04 LTS(Xenial Xerus),Ubuntu 14.04 LTS(Trusty Tahr)和 Ubuntu 12.04(Precise Pangolin)ESM(扩展安全维护)以及所有官方衍生版,包括 Kubuntu,Lubuntu等。 它们包括Mohamed Ghannam在Linux内核的Netlink子系统(XFRM)中发现的释放后使用,以及Linux内核不能正确处理大页内存的拷贝...阅读全文

博文 2017-12-20 11:31:08 debian.cn

Linux Kernel 4.15 正式发布,修补Intel漏掉

Linus Torvalds 于28日宣布发布 Linux 4.15 内核系列,第一个完全针对 Meltdown 和 Spectre 安全进行修补的版本。 Linux Kernel 4.15 进行了为期八周的开发,内核开发者花费大量时间重新设计了内核,并针对本月早些时候公开披露的两个安全熔断(Meltdown)和幽灵(Spectre)进行了修补。 Linux kernel 4.15 是第一个针对 Meltdown 和 Spectre 安全进行完全修补的内核系列,但是仅适用于 x86 和 PowerPC(PPC)体系结构。 如果您使用的是带有英特尔或 AMD 处理器的 GNU / Linux 发行版,那么仍有可能会遇到Meltdown 和 Spectre 恶意攻击。 该版本提供对...阅读全文

博文 2018-01-29 11:34:21 debian.cn

Linux Systemd被爆远程漏洞 CVE-2017

在 Systemd (linux 操作系统流行的 init 系统和服务管理器) 中发现了一个关键, 这使得远程攻击者有可能触发缓冲区溢出, 从而通过 dns 响应在目标计算机上执行恶意代码。 Systemd是什么 systemd 是一种系统初始化程序。和 sysVinit 以及 upstart 一样,systemd 会成为系统开机时启动的第一个进程(至少 PID 是 1),由它掌管计算机接下来要做的事情,例如读取 fstab 挂载磁盘和按照 runlevel 的设定启动各种服务。其安全的重要性不言而喻。 Systemd远程代码执行 CVE-2017-9445 该编号 CVE-2017-9445 ,实际上驻留在 " systemd-resolved " 的...阅读全文

博文 2017-07-02 09:39:36 9445 影响多种Linux系统

漏洞扫描 容器安全Trivy

Trivy是一种适用于CI的简单而全面的容器扫描程序。Trivy可检测操作系统包(Alpine、RHEL、CentOS等)和应用程序依赖(Bundler、Composer、npm、yarn等)的。 Trivy很容易使用,只要安装二进制文件,就可以扫描了。扫描只需指定容器的镜像名称。与其他镜像扫描工具相比,例如Clair,Anchore Engine,Quay相比,Trivy在准确性、方便性和对CI的支持等方面都有着明显的优势。推荐在CI中使用它,在推送到container registry之前,您可以扫描本地容器镜像。...阅读全文

开源项目 2023-01-03 21:07:44

黑客利用存在 5 年的漏洞 感染服务器并获利

黑客组织利用 Cacti“Network Weathermap”插件中一个存在 5 年之久的,在 Linux 服务器上安装了 Monero 矿工,赚了近 75,000 美元。来自美国安全公司趋势科技的专家表示,他们有证据证明这些攻击与过去发生在 Jenkins 服务器上的攻击有关:黑客组织利用 CVE-2017-1000353 在 Jenkins 设备上安装 Monero 挖矿程序,获得了约 300 万美元。 这次,攻击者利用了 Cacti 的 CVE-2013-2618 漏。Cacti 是一个基于 PHP 的开源网络监视和图形工具,更具体地说,是在其 Network Weathermap 插件中负责可视化网络活动。 就像在以前的攻击一样,黑客利用这个获得底层服务器的代码执行能...阅读全文

IETF宣布正式弃用TLS 1.0和TLS 1.1 - 最新消息

TLS 全称为:Transport Layer Security——安全传输层协议,用于在两个通信应用程序之间提供保密性和数据完整性。目前 TLS 协议存在四个个版本:TLS 1.0、1.1 和 1.2、1.3。 TLS 1.0 规范于 1999 年 1 月发布,TLS 1.1 在 7 年之后发布,主要在生成初始化向量和预填充方面进行安全增强。TLS 1.0 于 1999 年发行,至今将近有 20 年,业内公认的过时并且多年来易受各种攻击的版本,其支持较弱加密,对当今网络连接的安全已失去应有的保护效力。TLS 1.1 虽没有任何已知的协议,但是它却共享支持错误加密。因而存在一个现象,就是大部分软件都会跳过直接使用 TLS 1.2,而很少看到使用 TLS 1.1。TLS 1.0/1.1...阅读全文

Ubuntu 16.04 LTS 收到重大内核更新:共修复39处漏洞

在为32位/64位设备和树莓派2发布Ubuntu 17.10(Artful Aardvark)系列的重大核心更新之后,Canonical今天再次为Ubuntu 16.04 LTS(Xenial Xerus)发布重大内核更新,共计修复39处安全。 Ubuntu 16.04是长期支持版本,此外包括 Kubuntu, Lubuntu, Xubuntu, Ubuntu MATE, Ubuntu Kylin和Ubuntu Studio在内的官方flavor版本也获得更新。 本次修复的安全中,危害最严重的就是Linux Kernel USB over IP部署,允许黑客远程攻击系统导致崩溃或者通过DoS攻击导致大量消耗内存。Ubuntu 16.04 LTS目前的Linux内核版本为4.4,此外...阅读全文

博文 2018-04-10 10:04:39 debian.cn

Debian 10.5 发布,修复 BootHole 安全漏洞

Debian 10.5 已发布,这是 Debian 10 “Buster” 的第五个稳定版更新,修复了部分安全问题和 bug。 其中最值得关注的是,此版本提供了必要的补丁来解决最近的 GRUB2 UEFI SecureBoot “BootHole” 安全。因此现在 BootHole 应该可以在 Debian 10.5 中得到解决,同时也不会出现当时缓解后仍有困扰部分 RHEL/CentOS 用户的启动问题。 除了解决 BootHole 问题之外,Debian 10.5 还更新了 ClamAV 防病毒软件、对 file-roller 的安全修复和其他细小的修复,对 fwupdate 和其他软件包使用加密的 Debian 签名密钥、修复 Jigdo 中的 HTTPS 支持问题、升级...阅读全文

博文 2020-08-02 20:24:51 debian.cn

Chrome 64发布:已打CPU补丁提升安全等级

今天,Google开始面向Windows、Mac和Linux平台推送Chrome 64稳定版更新,预计将会在未来几天/几周内完成。本次版本更新最值得关注的就是修复了Meltdown和Spectre两处CPU,阻止黑客利用这两个入侵用户设备。 Chrome 64改进了弹出阻止器,Google声称将阻止有恶意倾向的网站打开新的标签页或者窗口。如果你曾经被透明覆盖的网站、故意让你点击播放的按钮等方式所欺诈过,那么这项功能会让你感到满意。 正如此前所报道的,自Chrome 64开始自动视频播放默认情况下会处于关闭状态,不过自然也有一些例外的情况。例如已经静音或者没有声音的视频可以自动播放,或者用户表现出对这个视频内容的足够兴趣。 在安全方面,Google升级了Chrome的V8...阅读全文

博文 2018-01-25 13:30:24 debian.cn

Debian资源库已加入Spectre、Meltdown漏洞检查器

影响几乎所有现代处理器的“幽灵”(Spectre)和“熔毁”(Meltdown)安全的余波尚未散尽,软硬件厂商仍在携手努力给平台打补丁。如果你正在运行 Debian GNU/Linux 环境,并且希望检查系统是否存在严重的安全,那么现在已经可以从 Debian 资源库下载 Spectre 和 Meltdown 缓和检查器了。Debian 项目团队表示,用户只需输入单行命令,即可完成该脚本的安装。 本月早些时候,外媒 Softpedia 曾发布过一篇面向 Linux PC 用户的安全检查教程。不过现在,Debian GNU/Linux 用户只需打开终端,并输入如下命令行: sudo apt-get install spectre-meltdown-checker 然后运行...阅读全文

博文 2018-01-31 10:28:44 debian.cn

Debian 10.4 Buster发布 请尽快更新

作为 Debian 10“Buster”系列发行版的第四个稳定更新,Debian 10.4 主要修复了安全性问题。维护团队希望已经用上 Debian 10 的设备能够尽快部署安全修复程序,更新过程很是简单。另有针对严重问题的一些调整,公告详情可移步至官网查看。 据悉,Debian 10.4 只是更新了 Debian 10 自带的某些软件包,所以大家不用急着扔掉旧版安装介质。安装完成后,再通过自动更新组件来获取即可。 新版中修复了 libssh 的一个特定安全,0.8.9 和 0.9.4 之前的 libssh 版本都受到影响。若未完全初始化连接、且系统尝试清理,则该可导致客户端或服务器完全崩溃。 此外,Debian 10.4 移除了一些软件包,比如因为 Hotmail...阅读全文

博文 2020-05-10 21:59:29 debian.cn

谷歌安全博客披露“ 英特尔内核漏洞 ”更多细节

去年的时候,Google 旗下 Project Zero 团队发现了一个由 CPU “ 预测执行 ” 导致的严重安全,而它也是一项被大多数现代处理器使用的性能优化方案。根据研究人员 Jann Horn 的演示,恶意攻击者可借此读取不该被它访问到的系统内存。某个未经授权的一方,可能在系统内存中读取到一些敏感信息,比如密码、加密密钥、或者在应用程序中打开的其它机密信息。 测试还表明,在一台虚拟机上发起的攻击,甚至能够访问到主机的物理内存。基于此,还可以获取在同一主机上、不同虚拟机的内存读取访问。 该影响许多 CPU,包括来自英特尔、AMD、ARM 的芯片,以及搭配运行的设备和操作系统。在获悉这种新型攻击的第一时间,谷歌安全和产品开发团队就积极动员了起来,以保护自家系统和用户数据。 万幸...阅读全文

博文 2018-01-06 23:38:25 debian.cn

Metasploit Framework 5.0 发布 最流行的渗透测试框架

Metasploit 项目是一个旨在提供安全信息的计算机安全项目,可以协助安全工程师进行渗透测试(penetration testing)及入侵检测系统签名开发。Metasploit 项目知名的功能还包括反取证与规避工具,其中的某些工具已经内置在 Metasploit Framework 里面。 Metasploit Framework —— 一套针对远程主机进行开发和执行 “exploit代码” 的工具,是 Metasploit 的最为知名的子项目。Metasploit Framework 全称为 The Metasploit Framework,简称 MSF。这是一个渗透测试的框架,不是一个直接的渗透测试攻击软件。Metasploit 作为全球最受欢迎的工具,不仅仅是因为它的方便性...阅读全文

博文 2019-01-15 13:37:28 debian.cn

Debian已着手部署补丁:修复WPA2安全漏洞

昨天最令人感到惊讶和担忧的就是,服役超过13年的WPA2加密协议已经被攻破,意味着在你家或办公室 Wi-Fi 物理覆盖范围内的攻击者,都可以向破解并发动入侵,监听你的网络活动、拦截不安全或未加密的数据流。针对本次严重的安全,包含Debian Linux在内的诸多系统厂商已经着手部署安全补丁,以便于提供更安全的上网环境。 该补丁已经修复了Common Vulnerabilities and Exposures(CVE)的如下 CVE-2017-13077 CVE-2017-13078 CVE-2017-13079 CVE-2017-13080 CVE-2017-13081 CVE-2017-13082 CVE-2017-13086 CVE-2017-13087 CVE-2017...阅读全文

博文 2017-10-17 13:32:27 debian.cn

Linux 5.2.1 发布 最新的稳定版内核

在 Linux 5.2 发布一周后,第一个修订版本 5.2.1 也已经发布了,用来处理各种错误/回归。需要注意的是5.2并非长期支持(LTS)分支,推荐注重稳定的用户还是使用当前的LTS内核。 5.2.1版只是修改一些小小的问题,主要有以下方面: 修复 Perf减少 RTL 8712 驱动程序的堆栈使用fscrapt 将不再为 dead 目录设置策略还有一个新的文档部分,详细说明了 Spectre 的 CPU 完整列表查看发布说明。 Linux Kernel 5.2的亮点包括Sound Open Firmware,这是一个支持DSP音频设备的开源固件。此外还新增了用于挂载文件系统的新挂载API,面向ARM Mail设备的全新开源GPU驱动,在EXT4文件系统中支持不区分大小写,以及对...阅读全文

博文 2019-07-15 10:24:57 debian.cn

容器镜像仓库 Harbor 发布 2.0 版

Harbor 2.0 现已发布,此版本使 Harbor 成为第一个符合OCI(Open Container Initiative,开放容器倡议)标准的开源注册表,能够存储大量云原生工件,例如 container images、Helm 图表、OPAs、Singularity 等等。 Harbor 团队在博客中表示,“尽管 Harbor 现在符合OCI,但现有用户不必担心;Harbor 的所有熟悉的操作和主要优点都可以很好地转化为 OCI。您可以像处理图像一样 push、pull、delete、retag、copy、scan、以及 sign indexes。扫描和项目策略(用于加强安全性和合规性的关键要素)已经过改进,可以与 OCI 工件一起使用。我们还提供了一项新的关键功能:现在,您可...阅读全文

博文 2020-05-14 12:58:04 debian.cn

Tails 4.4 发布,能你隐身的发行版

Tails 4.4 稳定版已发布,更新内容包括升级应用程序和修复安全。此版本中修复了在 Tails 4.3 中发现的许多安全问题,例如影响 OS 组件,以及 Tor Browser 和 Mozilla Thunderbird 等预装应用程序的。 该版本已将内核升级至 Linux Kernel 5.4.19,改进对显卡、无线网卡等较新硬件的支持。另外还修复了一些 Realtek RTL8822BE 和 RTL8822CE 芯片组的 Wi-Fi 接口造成的问题,团队还表示如果从 Tails 4.1 起使用 WiFi 时出现问题,请告知他们问题是否已解决。 最后,Tails 4.5 计划于4月7日发布。 下载地址:tails-amd64-4.4.iso (1,098MB...阅读全文

2017年的Linux内核防护依然脆弱

"Linux 内核 “社区” 对待安全的优先级并不高,虽然经历了 2000 年代的多次大规模利用事件但并没有让 Linus Torvalds 本人改变 "A bug is bug" 的哲学,由于 Linux 内核的安全问题逐渐影响到了 Android 和 IoT 设备,一次 华盛顿邮报的曝光促使了 KSPP(Linux 内核自防护项目)的成立。 KSPP 是由 Linux 基金会旗下的 CII(基础架构联盟)管理,其吸纳了来自诸多大厂商(Google, RedHat, Intel, ARM 等)的工程师进行联合工作,可惜的是两年的时间过去了,KSPP 大多时候只是在重复的抄袭 PaX/Grsecurity 的各种特性以获得各自雇主那里的 KPI 和 credit,各种混乱的代码合并到了...阅读全文

博文 2021-01-28 17:50:35 debian.cn

Debian GNU/Linux 9 将切换至 GCC6 编译器

Debian 开发者Matthias Klose宣布全新的GCC 6编译器将被默认安装在即将发布的Debian GNU/Linux 9系统之中,并且现在已经供爱好者测试! 在最新的公告中Matthias Klose 宣称他的目标是在Debian GNU/Linux 9集成新的GCC6编译器并且放弃对于GCC4.9和GCC5 的支持。正在使用测试版的用户,在安装GCC6的同时会被要求帮助开发者提出。Debian GNU/Linux 9会在今年7月末发布,并且会在Debian社区中发布GCC6。...阅读全文

博文 2021-01-28 17:50:14 debian.cn

Linux kernel tcp_ipv6.c拒绝服务漏洞 CVE-2016-8645

发布日期:2016-11-24 更新日期:2016-11-29 受影响系统:Linux kernel 4.0 ~ Linux kernel < 4.8.7 描述: BUGTRAQ ID: 94264 CVE(CAN) ID: CVE-2016-8645 Linux kernel 4.8.10之前版本,TCP栈错误处理了skb截断,在实现上存在安全,本地攻击者通过构造的应用,可造成拒绝服务。 <* 来源:Marco Grassi *> 建议: 厂商补丁: Linux ----- 目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载: http://www.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.8.10 https...阅读全文

Debian 9修复18个重要的Linux 4.9 LTS内核安全漏洞

Debian 项目近日发布了针对 Debian GNU/Linux 9 “ Stretch ” 系列操作系统新的 Linux 内核安全更新,修复了最近发现的几个 。 根据最新的 DSA 4073-1 Debian 安全通报,在 Debian GNU/Linux 9 “ Stretch ” 操作系统的 Linux 4.9 LTS 内核中,共有 18 个安全,其中包括信息泄露,提权升级和拒绝服务等问题。 通报显示,在 Linux 内核的 DCCP 实现、dvb-usb-lmedm04 驱动程序、hdpvr 媒体驱动程序、扩展 BPF 验证程序、netfilter 子系统、netlink 子系统、xt_osf 模块、USB 核心以及 IPv4 原始套接字实现都存在问题。另外,Linux...阅读全文

博文 2017-12-27 23:31:06 debian.cn

Nginx 安全问题致 1400 多万台服务器易受 DoS 攻击

据外媒报道,近日 nginx 被爆出存在安全问题,有可能会致使 1400 多万台服务器易遭受 DoS 攻击。而导致安全问题的存在于 HTTP/2 和 MP4 模块中。nginx Web 服务器于11月6日发布了新版本,用于修复影响 1.15.6, 1.14.1 之前版本的多个安全问题,被发现的安全问题有一种这样的情况 —— 允许潜在的攻击者触发拒绝服务(DoS)状态并访问敏感的信息。 “在 nginx HTTP/2 实现中发现了两个安全问题,这可能导致过多的内存消耗(CVE-2018-16843)和CPU使用率(CVE-2018-16844)”,详见 nginx 的安全建议。 此外,“如果在配置文件中使用"listen"指令的"http2"选项,则问题会影响使用...阅读全文

博文 2018-11-09 11:43:37 debian.cn

TLS1.3 正式版发布 — 特性与开启方式科普

(SSL)的进化版本,SSL是由Netscape公司在1990年代研发的。国际互联网工程任务组(IETF)做为一个标准化组织,负责定义该协议,该协议已经历了多次修订。最新版本 TLS1.2 在 2008 年被确立为标准,目前被大多数浏览器和启用 HTTPS 的 web 服务所支持。 在配置正常的情况下,TLS 1.2 会很安全,但如今它却显得有些过时了。在过去几年中,几次引人注目的攻击暴露出该协议的一些。在计算机安全领域,8年是一段很长的时间,因此 IETF 已经在着手开发该协议的新版本 TLS 1.3。TLS1.3 是一次全面升级,与此前版本相比,它有两个主要优势: 增强安全性 提升速度 增强安全性 过去几年来,大部分针对TLS的攻击都是以该协议90年代遗留下来的残余部分为目标的...阅读全文

博文 2018-08-14 14:40:05 debian.cn

本田 40GB 数据险遭泄漏 因云端数据库未设密

近日,一位安全研究员在博客上表示发现了本田公司的云端数据库未设密码,这可能导致 1.34 亿份文档,约 40GB 数据被泄漏,其中包括机器主机名、MAC 地址、内部 IP 及操作系统版本等。在收到该研究员的提醒后,本田方面已对进行修复。 本田 1.34 亿份文档,40GB 数据险遭泄漏 根据安全研究员 Justin Paine 的说法,自 2019 年 7 月 1 日起,他就发现了本田对外暴露的 ElasticSearch 数据库未设置任何密码,内部包含大约 1.34 亿份文档,这些文档可以转换为大约 40GB 数据,而这些数据的日期最早可以追溯至 2019 年 3 月左右。 最初,Justin Paine 以为这些数据来自本田的一家经销商,但他很快否定了这一想法,因为这些文档包含了本...阅读全文

Harbor 1.9 发布:新增多项企业级功能

Harbor 1.9 发布了,此版本新功能众多,包括 tag 保留和配额、可与 CI/CD 工具集成的 Webhook 通知、数据复制、Syslog 集成以及 CVE 例外策略等安全功能。 Webhook 如果您是项目管理员,可以通过 Webhook 的通知机制,将 Harbor 的项目与您技术栈的其余部分连接在一起。简言之,如果您配置了 Webhook,Harbor 会就把该项目中发生的某些事件(包括推送、拉取、删除镜像和 Helm Charts、镜像扫描及 CVEanqu 发现)向 Webhook 端点发出通知。通过这些事件,您可以将 Harbor 与其他系统集成在一起,以简化持续集成和开发过程。理想情况下,获得 Webhook 的端点应具有一个操作侦听器,用于解释 JSON 格式...阅读全文

博文 2019-10-09 12:12:04 debian.cn

Linux Kernel 4.19 正式版本发布 将是长期支持版

Greg Kroah-Hartman 在内核邮件列表上 宣布 释出 Linux 4.19。Linux 作者 Linus Torvalds 最近在 休假反省 ,Linux 的开发现在由稳定版内核维护者 Kroah-Hartman 接手。 Kroah-Hartman 表示,4.19 将会是一个长期支持版本,他也会维持几年。 Linux 4.19 的主要新特性包括: 基于异步 I/O 的轮训接口 L1TF 补丁 块 I/O 延迟控制器 Common Applications Kept Enhanced (CAKE) 队列管理算法 Wi-Fi 6 (802.11ax) 初步支持 实验性文件系统 EROFS Intel Cache Pseudo-locking 基于时间的包传输 改进 RISC...阅读全文

博文 2018-10-24 13:37:11 debian.cn

Nginx 1.15.6 和 1.14.1 发布,高性能 Web 服务器

Nginx 1.14.1 稳定版和 Nginx 1.15.6 主线版已发布,主要修复了 HTTP/2 (CVE-2018-16843,CVE-2018-16844)以及 MP4 模块(CVE-2018-16845)中的,具体如下: Nginx 1.14.1 Security: 在使用 HTTP/2 时可能导致客户端内存消耗过大 (CVE-2018-16843),CPU 使用率过高 (CVE-2018-16844); Security: 使用 ngx_http_mp4_module 处理特制的 mp4 文件可能导致工作进程内存泄露(CVE-2018-16845); Bugfix: 使用 gRPC 后端可能会导致内存过度消耗。 Nginx 1.15.6 在 1.14.1 的基础上额外包含...阅读全文

博文 2018-11-06 11:37:07 debian.cn

CPU 漏洞补丁对内核性能影响:4.15 比 4.11 快 7

知名Linux Kernel维护成员Greg Kroah-Hartman今天分享了一些非常有趣的细节--在Linux内核打上Meltdown和Spectre补丁之后的性能影响。根据Google+博文显示,最近发布的Linux Kernel 4.15的速度要比4.11快7-9%;在激活内核页表隔离(KPTI)情况下速度仅比4.11慢了1-2%。 Greg Kroah-Hartman在Google+上写道:“因此从整体上来看,我们又重新站在起跑线上了。让我感到欣慰的是,最近Meltdown的调整并未对综合性能造成太大的影响。不过如果你依然在使用旧版内核,那么就完全不一样了。” 对此,Greg Kroah-Hartman 在 Google+ 博文中推荐所有依然使用旧版Linux Kernel...阅读全文

博文 2018-02-01 10:52:20 9%

Adobe 正式宣布放弃 Flash

今天,Adobe 正式宣布将放弃 Flash,而相关技术会在 2020 年底全部退役。 在这份公告中,Adobe 强调,在未来三年时间里,苹果、微软、谷歌等将分阶段停止为 Flash 提供技术支持。在 2020 年过后,Adobe 将停止为 Flash 发布更新,网络浏览器将不再支持该技术。这些公司正在鼓励开发者为其软件改用现代编程标准。 Flash 技术是在 20 多年以前诞生的,曾是开发者最青睐的软件之一,被用于开发游戏、视频播放器和可在多个网络浏览器上运行的应用,但它的弊端也是足够明显,存在大量的严重安全,让 Mac 和 PC 用户暴露于危险之中。 其实在这之前,苹果、谷歌、微软等公司都已经很少触及 Flash 技术,所以业界并不担心这样的技术淘汰。...阅读全文

Let’s Encrypt倡议新认证策略 提高抗攻击能力

Let’s Encrypt是一家得到Mozilla Firefox和Google Chrome支持的自动化证书颁发机构。今天该机构宣布了一项新措施,从而进一步保护用户免受网络攻击的侵害。这项新功能称之为多角度域验证(multi-perspective domain validation),可帮助证书颁发机构(CA)证明申请人对他们想要获得证书的域具有掌控权。 单角度域验证方式 多角度域验证方式 域验证并不是什么新问题,但在验证过程中还存在很多的,这意味着网络攻击者可以诱使CA机构错误的颁发证书。通过多角度域认证,网络攻击者需要同时破坏三个不同的网络路径,这不仅大大提高了安全系数,而且在互联网拓扑社区中也能更快发现网络攻击行为。 在新闻稿中,Let’s Encrypt特别感谢了普林斯顿大...阅读全文

博文 2020-02-21 13:28:45 debian.cn

Alpine Linux 3.6.1 发布,轻量级 Linux 发行版

Alpine Linux 3.6.1 已发布。Alpine Linux 是由社区开发的操作系统,它面向 x86 路由器、防火墙、虚拟专用网、IP 电话盒及服务器而设计。它在设计时就贯彻了安全的理念,包含了一些主动安全特性如 PaX 和 SSP ,它们能防止软件中的被敌手加以利用。该系统采用的 C 语言库是 musl ,基础工具则都在 BusyBox 中。它们在嵌入式系统中很常见,它们比 GNU/Linux 系统中的工具要小。 此次更新进行了大量 Bug 修复,相关内容: Bug #6668: Can’t boot on Raspberry Pi 2 Bug #7047: v4l2-ctl segfaults when setting control values Bug #7093...阅读全文

博文 2021-01-28 17:50:32 debian.cn

英特尔放出Linux微代码以修复Meltdown和Spectre漏洞

近日,Intel发布了最新版本的Linux处理器微代码数据文件,而这个补丁文件能够修复Intel CPU中的Spectre以及Meltdown。广大用户可以使用微代码文件来修复操作系统中目前已知的Intel CPU安全,而无需在计算机中执行BIOS更新。 根据Intel微代码下载页面所提供的介绍,Intel此次发布了40种不同版本(针对Linux)的补丁代码,可适用于多款不同型号的Intel处理器。 下面给出的就是Intel官方网站列出的处理器支持型号。大家可以参考下列表格以及cpu-world.com网站上的CPU信息来寻找合适自己处理器的补丁版本。注意,下列表格中的CPU版本号为十六进制值(例如(06-3c-03:32)),你可以在cpu-world.com寻找到相匹配的处理器...阅读全文

博文 2018-01-17 23:26:58 debian.cn

Ubuntu 18.04 LTS首个Beta风味版本上线

在延迟1天时间之后,Ubuntu Release团队终于宣布Ubuntu 18.04 LTS (Bionic Beaver) 的首个Beta版本上线,而且基于该Beta镜像的一些官方风味(flavors)版本也一同发布。 导致Ubuntu 18.04 LTS发布时间推迟的原因有很多,首先该版本的开发任务本来就很重,而且期间经历了Meltdown和Spectre两大CPU。 其次就是团队制定的发布计划并不完善。例如部分风味版本原本计划应该经历两个Alpha版本,一个定在新年之后的一周半时间内,另一个定在2月1日发布。但是最终两个Alpha版本都没有发布,所以才直到现在才看到Beta版本。 这些风味版本包括Kubuntu,Xubuntu,Ubuntu MATE,Ubuntu Budgie和...阅读全文

博文 2018-03-10 14:59:35 debian.cn

GitLab 11.5 正式版发布 大量安全新功能

GitLab 11.5 正式版已发布 ,该版本带来了许多关于安全的新功能。如新的 Group Security Dashboard、Operations Dashboard,和对 GitLab Pages 的访问控制权限等。 Group Security Dashboard Group Security Dashboard 提供了项目组中所有项目 SAST 的摘要,以及可用于启动修复过程的可操作条目列表。例如,可以使用建议的解决方案开启 issue,或者如果需要将其归类为误报,则只需关闭该条目。将来会添加对其他测试(依赖扫描、容器扫描和 DAST)的支持。 Operations Dashboard GitLab 11.5 引入了一个新的、以操作为中心的仪表板,提供了用户感兴趣的每个项目...阅读全文

博文 2018-11-23 10:08:31 debian.cn

Prometheus 2.13.0 发布

服务监控系统 Prometheus 2.13.0-rc.0 发布了,Prometheus 是一个 Go 语言开发的开源的服务监控系统和时间序列数据库。该版本引入了一些新特性,比如记录其他组件、增强功能和修复 bug,这些都是为了提高可用性。 更新内容如下: [SECURITY/BUGFIX] UI:修复了一个 Stored DOM XSS CVE-2019-10215. #6098[CHANGE] Metrics:将 prometheus_sd_configs_failed_total 重命名为 prometheus_sd_failed_configs,并更改为仪表 #5254[ENHANCEMENT] 在构建中包含 tsdb 工具 #6089[ENHANCEMENT...阅读全文

2017年DevOps的5大发展预测

DevOps解决方案营销副总裁Aruna Ravichandran预测道。她说,“鉴于攻击者强度和复杂度的提高,以及安全问题快速公诸于众对品牌带来潜在不可挽回的损害,代码本身必须考虑安全问题,并且部署在牢固的安全架构中。” Ravichandran认为,随着微服务框架和SDK的引入,开发人员为了避免影响用户体验,应该从一开始就考虑安全功能。当到了测试和部署阶段,安全验证应该被视为特殊情况处理。她提到“安全相关代码需求测试要求是非常特殊和动态的,这个过程非常有可能需要专家和用户的介入,这不是传统DevOps流程的一部分。” 更加注重安全的时期 按照Tufin首席技术管兼联合创始人Reuven Harrison的说法,DevOps可能是企业的最新。2017年,他期望能够看见安全相关流程能够融入到...阅读全文

博文 2021-01-28 17:50:18 debian.cn

Debian Stretch 9.8 发布,超过180个更新

Debian 项目今天宣布发布 Debian GNU/Linux 9 “Stretch” 操作系统系列的第8个版本。Debian 9.8 具有许多更新的软件包,可以解决各种错误,安全更新范围从QEMU 和 Ceph 到 Chromium 和 systemd,更新的 Python 3 依赖关系到多个软件包,解决可能的DoS以及一系列其他修复。 在Debian GNU/Linux 9.7 紧急版本发布仅一个月之后,Debian GNU/Linux 9.8 版本发布在这里作为最新的安装媒价包含众多内容,其中仅包含 APT 软件包管理器的重要安全更新。安全性和错误修复,为用户提供安装 Debian GNU/Linux 9 “Stretch” 操作系统系列的方法,而无需从官方软件存储库下载数百个...阅读全文

博文 2019-02-17 17:08:12 debian.cn

SonarQube 8.4 发布,分析时间最多可减少 80%

类别的覆盖范围:A2-身份验证失败、A3-敏感数据暴露、A4-XML 外部实体(XXE)和 A6-安全性错误配置。 XXE for C、C++ 和不安全函数的使用 除了 Python,C 和 C++ 中也添加了 XXE 检测功能。 Java 和 C# 不安全反序列化检测 添加了针对 C# 和 Java 的反序列化的检测。不过针对 Java,这是一项商业功能。 22 条新的 Python 规则,更好的类型处理、Flake8 支持 Python 增加了 14 条新的 Bug 规则和 8 条新的 Code Smells,其中包括 4 条有关类型检查的规则。此外,Python 分析现在可以理解 TypeShed 类型,因此现有规则变得更加智能。同时,Flake8 用户现在可以轻松导入这些问题...阅读全文

博文 2020-07-13 12:55:22 debian.cn